Subject: Re: [spring] IPv6 header insertion in a controlled domain

From: Sander Steffann <[email-masked]>
Date: Sun, 8 Dec 2019 13:49:03 +0100

Hi Ole,

> I am not suggesting that header insertion is the _best_ approach. That I tihnk has to be evaluated on a per use case basis.
> I just want to see if we can reach agreement that it's a solution candidate, that given the deployment restrictions is technically sound.

If the mechanisms to make sure the rest of the internet doesn't need to suffer from header insertion are in place and reliable, then I don't care much what other operators do on their network. The IETF is about interoperability, and as long as others don't cause me trouble they can do whatever they want on their network. As Randy would say: "I'd recommend all my competitors to do header insertion" :)

As you said: whether header insertion is appropriate is something that everybody can decide for themselves on a per use case basis.

And based on my own experience and the research done by Fernando et all, I decide that header insertion isn't going to happen on my networks. So back to SPRING: I want a solution that works without header insertion (reasons given above). Please work on such a solution. I want to be able to choose an appropriate solution for my network, and something that includes header insertion isn't it. If the feelings about the architectural decision are so strongly opposite, we clearly need multiple solutions to choose from.

Cheers,
Sander